use master
go

if exists(select * from sys.databases where name = 'PartitioningDb')
begin
	alter database PartitioningDb set single_user with rollback immediate
	drop database PartitioningDb
end
go

CREATE DATABASE [PartitioningDb]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'PartitioningDb', FILENAME = N'c:\db\PartitioningDb.mdf' , SIZE = 3072KB , FILEGROWTH = 1024KB ), 
 FILEGROUP [DATA2011] 
( NAME = N'PartitioningDb_2011', FILENAME = N'c:\db\PartitioningDb_2011.ndf' , SIZE = 3072KB , FILEGROWTH = 10240KB ), 
 FILEGROUP [DATA2012] 
( NAME = N'PartitioningDb_2012', FILENAME = N'c:\db\PartitioningDb_2012.ndf' , SIZE = 3072KB , FILEGROWTH = 10240KB ), 
 FILEGROUP [FASTSTORAGE] 
( NAME = N'PartitioningDb_FS', FILENAME = N'c:\db\PartitioningDb_FS.ndf' , SIZE = 3072KB , FILEGROWTH = 10240KB )
 LOG ON 
( NAME = N'PartitioningDb_log', FILENAME = N'c:\db\PartitioningDb_log.ldf' , SIZE = 1024KB , FILEGROWTH = 51200KB )
GO
ALTER DATABASE [PartitioningDb] SET COMPATIBILITY_LEVEL = 110
GO
ALTER DATABASE [PartitioningDb] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [PartitioningDb] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [PartitioningDb] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [PartitioningDb] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [PartitioningDb] SET ARITHABORT OFF 
GO
ALTER DATABASE [PartitioningDb] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [PartitioningDb] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [PartitioningDb] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [PartitioningDb] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [PartitioningDb] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [PartitioningDb] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [PartitioningDb] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [PartitioningDb] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [PartitioningDb] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [PartitioningDb] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [PartitioningDb] SET  DISABLE_BROKER 
GO
ALTER DATABASE [PartitioningDb] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [PartitioningDb] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [PartitioningDb] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [PartitioningDb] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [PartitioningDb] SET  READ_WRITE 
GO
ALTER DATABASE [PartitioningDb] SET RECOVERY FULL 
GO
ALTER DATABASE [PartitioningDb] SET  MULTI_USER 
GO
ALTER DATABASE [PartitioningDb] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [PartitioningDb] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO
USE [PartitioningDb]
GO
IF NOT EXISTS (SELECT name FROM sys.filegroups WHERE is_default=1 AND name = N'PRIMARY') ALTER DATABASE [PartitioningDb] MODIFY FILEGROUP [PRIMARY] DEFAULT
GO
use master
go

BACKUP DATABASE [PartitioningDb] TO  DISK = N'c:\db\p.bak' WITH NOFORMAT, NOINIT,  NAME = N'PartitioningDb-Full Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO

BACKUP LOG [PartitioningDb] TO  DISK = N'c:\db\p.bak' WITH NOFORMAT, NOINIT,  NAME = N'PartitioningDb-Transaction Log  Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO
