/*************************************************************************************************
Dmitri Korotkevitch
24HOP - Data partitioning in VLDB (second edition)

http://aboutsqlserver.com
email: dmitri@aboutsqlserver.com

Database creation script (SQL Server 2008)
*************************************************************************************************/
use master
go

if exists (
	select * 
	from sys.databases 
	where name = 'Partitioning2008'
)
begin
	alter database Partitioning2008 set single_user with rollback immediate
	drop database Partitioning2008 
end
go


CREATE DATABASE [Partitioning2008] ON  PRIMARY 
( NAME = N'Partitioning2008', FILENAME = N'C:\DB_2008R2\Partitioning2008.mdf' , SIZE = 5000KB , FILEGROWTH = 1024KB ), 
 FILEGROUP [FG1] 
( NAME = N'Partitioning2008_FG1_File1', FILENAME = N'C:\DB_2008R2\Partitioning2008_FG1_File1.ndf' , SIZE = 10240KB , FILEGROWTH = 10240KB )
 LOG ON 
( NAME = N'Partitioning2008_log', FILENAME = N'C:\DB_2008R2\Partitioning2008_log.ldf' , SIZE = 51200KB , FILEGROWTH = 51200KB )
GO
ALTER DATABASE [Partitioning2008] SET COMPATIBILITY_LEVEL = 100
GO
ALTER DATABASE [Partitioning2008] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [Partitioning2008] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [Partitioning2008] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [Partitioning2008] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [Partitioning2008] SET ARITHABORT OFF 
GO
ALTER DATABASE [Partitioning2008] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [Partitioning2008] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [Partitioning2008] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [Partitioning2008] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [Partitioning2008] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [Partitioning2008] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [Partitioning2008] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [Partitioning2008] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [Partitioning2008] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [Partitioning2008] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [Partitioning2008] SET  DISABLE_BROKER 
GO
ALTER DATABASE [Partitioning2008] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [Partitioning2008] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [Partitioning2008] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [Partitioning2008] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [Partitioning2008] SET  READ_WRITE 
GO
ALTER DATABASE [Partitioning2008] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [Partitioning2008] SET  MULTI_USER 
GO
ALTER DATABASE [Partitioning2008] SET PAGE_VERIFY CHECKSUM  
GO
USE [Partitioning2008]
GO
IF NOT EXISTS (SELECT name FROM sys.filegroups WHERE is_default=1 AND name = N'PRIMARY') ALTER DATABASE [Partitioning2008] MODIFY FILEGROUP [PRIMARY] DEFAULT
GO
