/*************************************************************************************************
Dmitri Korotkevitch
24HOP - Data partitioning in VLDB (second edition)

http://aboutsqlserver.com
email: dmitri@aboutsqlserver.com

Database creation script (SQL Server 2012)
*************************************************************************************************/




use master
go

if exists (
	select * 
	from sys.databases 
	where name = 'Partitioning2012'
)
begin
	alter database Partitioning2012 set single_user with rollback immediate
	drop database Partitioning2012 
end
go

CREATE DATABASE [Partitioning2012]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'Partitioning2012', FILENAME = N'C:\DB\Partitioning2012.mdf' , SIZE = 3072KB , FILEGROWTH = 1024KB ), 
 FILEGROUP [FG1] 
( NAME = N'Partitioning2012_FG1', FILENAME = N'C:\DB\Partitioning2012_FG1.ndf' , SIZE = 3072KB , FILEGROWTH = 10240KB ), 
 FILEGROUP [FG2] 
( NAME = N'Partitioning2012_FG2', FILENAME = N'C:\DB\Partitioning2012_FG2.ndf' , SIZE = 3072KB , FILEGROWTH = 10240KB )
 LOG ON 
( NAME = N'Partitioning2012_log', FILENAME = N'C:\DB\Partitioning2012_log.ldf' , SIZE = 51200KB , FILEGROWTH = 51200KB )
GO
ALTER DATABASE [Partitioning2012] SET COMPATIBILITY_LEVEL = 110
GO
ALTER DATABASE [Partitioning2012] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [Partitioning2012] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [Partitioning2012] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [Partitioning2012] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [Partitioning2012] SET ARITHABORT OFF 
GO
ALTER DATABASE [Partitioning2012] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [Partitioning2012] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [Partitioning2012] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [Partitioning2012] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [Partitioning2012] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [Partitioning2012] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [Partitioning2012] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [Partitioning2012] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [Partitioning2012] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [Partitioning2012] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [Partitioning2012] SET  DISABLE_BROKER 
GO
ALTER DATABASE [Partitioning2012] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [Partitioning2012] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [Partitioning2012] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [Partitioning2012] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [Partitioning2012] SET  READ_WRITE 
GO
ALTER DATABASE [Partitioning2012] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [Partitioning2012] SET  MULTI_USER 
GO
ALTER DATABASE [Partitioning2012] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [Partitioning2012] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO

USE [Partitioning2012]
GO
IF NOT EXISTS (SELECT name FROM sys.filegroups WHERE is_default=1 AND name = N'PRIMARY') ALTER DATABASE [Partitioning2012] MODIFY FILEGROUP [PRIMARY] DEFAULT
GO
