/*************************************************************************************************
Dmitri Korotkevitch
24HOP - Data partitioning in VLDB (second edition)

http://aboutsqlserver.com
email: dmitri@aboutsqlserver.com

Regular table - moving data to different FG
(SQL Server 2012 - Enterprise Edition required)
*************************************************************************************************/


set nocount on
set xact_abort on
go

use Partitioning2012
go


select 
	p.partition_number
	,object_name(object_id) as Name
	,filegroup_name(data_space_id) as FileGroup
	,type_desc
from 
	sys.partitions p join sys.allocation_units a on 
		p.partition_id = a.container_id
where 
	object_id = object_id('dbo.Data2')
order by 
	p.partition_number
go

-- Online
create unique clustered index IDX_Data2_OrderDate_OrderId
on dbo.Data2(OrderDate, OrderId)
with (drop_existing=on, online=on)
on [FG2]
go

select 
	p.partition_number
	,object_name(object_id) as Name
	,filegroup_name(data_space_id) as FileGroup
	,type_desc
from 
	sys.partitions p join sys.allocation_units a on 
		p.partition_id = a.container_id
where 
	object_id = object_id('dbo.Data2')
order by 
	p.partition_number
go


-- Workaround
create partition function pfData2(date)
as range right for values 
('2014-01-01')
go

create partition scheme psData2
as partition pfData2
all to ([FG2])
go

create unique clustered index IDX_Data2_OrderDate_OrderId
on dbo.Data2(OrderDate, OrderId)
with (drop_existing=on, online=on)
on psData2(OrderDate)
go

alter partition function pfData2()
merge range('2014-01-01')
go

select 
	p.partition_number
	,object_name(object_id) as Name
	,filegroup_name(data_space_id) as FileGroup
	,type_desc
from 
	sys.partitions p join sys.allocation_units a on 
		p.partition_id = a.container_id
where 
	object_id = object_id('dbo.Data2')
order by 
	p.partition_number
go

